Images
curl --request GET \
--url https://api.themoviedb.org/3/company/{company_id}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/company/{company_id}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/company/{company_id}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/company/{company_id}/images",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/company/{company_id}/images"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/company/{company_id}/images")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/company/{company_id}/images")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"logos": [
{
"aspect_ratio": 3.0395136778115504,
"file_path": "/tlVSws0RvvtPBwViUyOFAO0vcQS.png",
"height": 329,
"id": "63306b352b8a430096598b3d",
"file_type": ".svg",
"vote_average": 3.334,
"vote_count": 2,
"width": 1000
},
{
"aspect_ratio": 2.9797979797979797,
"file_path": "/o86DbpburjxrqAzEDhXZcyE8pDb.png",
"height": 99,
"id": "5aa080d6c3a3683fea00011e",
"file_type": ".svg",
"vote_average": 2.278,
"vote_count": 3,
"width": 295
}
]
}COMPANIES
Images
This endpoint get the company logos by id.
GET
/
company
/
{company_id}
/
images
Images
curl --request GET \
--url https://api.themoviedb.org/3/company/{company_id}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/company/{company_id}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/company/{company_id}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/company/{company_id}/images",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/company/{company_id}/images"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/company/{company_id}/images")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/company/{company_id}/images")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"logos": [
{
"aspect_ratio": 3.0395136778115504,
"file_path": "/tlVSws0RvvtPBwViUyOFAO0vcQS.png",
"height": 329,
"id": "63306b352b8a430096598b3d",
"file_type": ".svg",
"vote_average": 3.334,
"vote_count": 2,
"width": 1000
},
{
"aspect_ratio": 2.9797979797979797,
"file_path": "/o86DbpburjxrqAzEDhXZcyE8pDb.png",
"height": 99,
"id": "5aa080d6c3a3683fea00011e",
"file_type": ".svg",
"vote_average": 2.278,
"vote_count": 3,
"width": 295
}
]
}There are two image formats that are supported for companies,
PNG’s and SVG’s. You can see which type the original file is by looking at the
file_type field.